Đến nội dung


Hình ảnh
- - - - -

có cách nào lấy được tọa độ của các thực thể không?


  • Please log in to reply
7 replies to this topic

#1 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2010 - 08:50 AM

vd em có một bản vẽ với nhiều kiểu đường như: line, acr, circle.
mục đích: tự tìm tất cả tọa độ tâm của các đường tròn có trong bản vẽ.

Liệu có thể làm như thế được không nhỉ.

đang phải giải quyết một bài toán huynh nào có ý tưởng chỉ giúp với.

có một tập hợp các circle nằm trên hình chiếu đứng . giờ muốn tìm tọa độ của mấy đường tròn trên để làm cơ sở vẽ hình chiếu cạnh và hình chiếu bằng. có ai có ý tưởng gì ko giúp mình vơi

cảm ơn đã quan tâm
  • 0

#2 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 06 May 2010 - 03:35 PM

vd em có một bản vẽ với nhiều kiểu đường như: line, acr, circle.
mục đích: tự tìm tất cả tọa độ tâm của các đường tròn có trong bản vẽ.

Liệu có thể làm như thế được không nhỉ.

đang phải giải quyết một bài toán huynh nào có ý tưởng chỉ giúp với.

có một tập hợp các circle nằm trên hình chiếu đứng . giờ muốn tìm tọa độ của mấy đường tròn trên để làm cơ sở vẽ hình chiếu cạnh và hình chiếu bằng. có ai có ý tưởng gì ko giúp mình vơi

cảm ơn đã quan tâm


Xem ở đây: AutoCAD & Excel

Tính năng đặc biệt của chương trình: miễn phí.
  • 0
Clear sky!

MF Rock collection.

#3 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2010 - 04:11 PM

cảm ơn anhcos đã quan tâm ! anh có thể share đoạn code hoặc nói về hướng làm lấy tọa độ của một block or line không ạ? chứ cái chương trình cài đặt kia rồi thì em ko ứng dụng được vào bt của em. em làm hoàn toàn trên vba mà
  • 0

#4 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 06 May 2010 - 05:53 PM

anh có thể share đoạn code hoặc nói về hướng làm lấy tọa độ của một block or line không ạ? chứ cái chương trình cài đặt kia rồi thì em ko ứng dụng được vào bt của em. em làm hoàn toàn trên vba mà


Tôi chưa viết bằng VBA cho CAD bao giờ, nên ngôn ngữ sẽ khác một chút. Bạn phải tự chuyển qua thôi.

Giả sử ent_selset là tập chọn các đối tượng có được khi chọn đối tượng từ AutoCAD
Dim ent_selset as object 'cái này VBA là SelectionSet

'Duyệt qua từng thực thể trong tập chọn
For i = 0 to ent_selset.Count - 1
select case ent_selset.Item(i).ObjectName
case "AcDbLine"
Dim diem_dau() as double = ent_selset.Item(i).StartPoint
Dim diem_cuoi() as double = ent_selset.Item(i).EndPoint

case "AcDbCircle"
Dim diem_tam() as double = ent_selset.Item(i).Center
Dim ban_kinh as double = ent_selset.Item(i).Radius

case "AcDbText"
Dim vi_tri_text() as double = ent_selset.Item(i).InsertionPoint or TextAlignmentPoint
Dim noi_dung_text as string = ent_selset.Item(i).TextString

...................
Phải đọc AutoCAD help: file acad_dev.chm
...................

end select
Next i

  • 1
Clear sky!

MF Rock collection.

#5 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2010 - 09:41 PM

thanks anhcos!

có một số vấn đề về đoạn code như sau^^

đoạn code trên hầu như sai về cú pháp nhưng em hiểu được và chuyển được sang vba. Khổ một nỗi là vd như đoạn sau chẳng hạn

case "AcDbLine"
Dim diem_dau() as double = ent_selset.Item(i).StartPoint
Dim diem_cuoi() as double = ent_selset.Item(i).EndPoint

trong vba e ko thể nào tìm được cái thuộc tính statpoint và endpoint

mong mọi người giúp đỡ tiếp
  • 0

#6 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 06 May 2010 - 10:41 PM

trong vba e ko thể nào tìm được cái thuộc tính statpoint và endpoint


Chưa hiểu ý của bạn ở chỗ này.
  • 0
Clear sky!

MF Rock collection.

#7 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1435 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 07 May 2010 - 07:26 AM

thanks anhcos!
............
trong vba e ko thể nào tìm được cái thuộc tính statpoint và endpoint
.............

Tham khao :
- Xác định đối tượng và toạ độ điểm http://www.cadviet.c...o...ost&p=35987
- xuất toạ độ từ CAD sang EXCELL http://www.cadviet.c...o...ost&p=78666
  • 1

#8 nguyenthaodang

nguyenthaodang

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 May 2010 - 09:01 PM

Tham khao :
- Xác định đối tượng và toạ độ điểm http://www.cadviet.c...o...ost&p=35987
- xuất toạ độ từ CAD sang EXCELL http://www.cadviet.c...o...ost&p=78666

thanks gia_bach

đã đọc bài của anh phantuhuong! quả là rất thú vị giúp mình được rất nhiều việc

nhân đây có huynh nào biết cách explode một blockrefercen ko nhỉ, em code mãi mà ko thành công
  • 0